/*************************************************************
GLSL Demo - Phong vertex shader
(c) 2005 Antoine Bouthors, EVASION
Modified 2014, Francois Faure, UJF
*************************************************************/

varying vec3 normal;    // custom output vertex value
varying vec3 lightDir;  // custom output vertex value

void main()
{
	vec4 pos = gl_ModelViewMatrix * gl_Vertex;
	vec3 lightpos = gl_LightSource[0].position.xyz;
	lightDir =  lightpos - pos.xyz;
	normal = gl_NormalMatrix * gl_Normal;
        gl_Position = ftransform(); // standard output vertex value
}
